---
lang: en
title: 'API docs: context.context.subscribe'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.context.subscribe.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [subscribe](./context.context.subscribe.md)

## Context.subscribe() method

Add a context event observer to the context

<b>Signature:</b>

```typescript
subscribe(observer: ContextEventObserver): Subscription;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  observer | <code>ContextEventObserver</code> | Context observer instance or function |

<b>Returns:</b>

`Subscription`


